Package org.jdesktop.animation.timing.triggers

# Class MouseTriggerEvent

java.lang.Object
org.jdesktop.animation.timing.triggers.TriggerEvent
org.jdesktop.animation.timing.triggers.MouseTriggerEvent

public class MouseTriggerEvent extends TriggerEvent
Mouse Enter/Exit/Press/Release/Click events

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MouseTriggerEvent`
`CLICK`
Event fired when mouse is clicked
`static final MouseTriggerEvent`
`ENTER`
Event fired when mouse enters
`static final MouseTriggerEvent`
`EXIT`
Event fired when mouse exits
`static final MouseTriggerEvent`
`PRESS`
Event fired when mouse button is pressed
`static final MouseTriggerEvent`
`RELEASE`
Event fired when mouse button is released

## Method Summary

Modifier and Type
Method
Description
`TriggerEvent`
`getOppositeEvent()`
This method finds the opposite of the current event.:
ENTER -> EXIT
EXIT -> ENTER
PRESS -> RELEASE
RELEASE -> PRESS
Note that CLICK has no obvious opposite so it simply returns CLICK (this method should probably not be called for that case).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENTER

public static final MouseTriggerEvent ENTER
Event fired when mouse enters

### EXIT

public static final MouseTriggerEvent EXIT
Event fired when mouse exits

### PRESS

public static final MouseTriggerEvent PRESS
Event fired when mouse button is pressed

### RELEASE

public static final MouseTriggerEvent RELEASE
Event fired when mouse button is released

### CLICK

public static final MouseTriggerEvent CLICK
Event fired when mouse is clicked

## Method Details

### getOppositeEvent

public TriggerEvent getOppositeEvent()
This method finds the opposite of the current event.:
ENTER -> EXIT
EXIT -> ENTER
PRESS -> RELEASE
RELEASE -> PRESS
Note that CLICK has no obvious opposite so it simply returns CLICK (this method should probably not be called for that case).

Overrides:
  `getOppositeEvent` in class `TriggerEvent`